Definir configurações de privacidade do grupo
curl --request PUT \
--url https://api.d-api.cloud/api/v1/groups/{groupId}/settings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"announce": true,
"locked": true,
"joinApproval": true,
"memberAddMode": "<string>",
"async": "<string>"
}
'import requests
url = "https://api.d-api.cloud/api/v1/groups/{groupId}/settings"
payload = {
"sessionId": "<string>",
"announce": True,
"locked": True,
"joinApproval": True,
"memberAddMode": "<string>",
"async": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
announce: true,
locked: true,
joinApproval: true,
memberAddMode: '<string>',
async: '<string>'
})
};
fetch('https://api.d-api.cloud/api/v1/groups/{groupId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Grupos
Definir configurações de privacidade do grupo
Altera as configurações de privacidade do grupo:
- announce: true = apenas admins podem enviar mensagens
- locked: true = apenas admins podem editar informações do grupo
- joinApproval: true = requer aprovação de admin para entrar
- memberAddMode: “admin” = apenas admins podem adicionar membros, “all” = todos podem adicionar
PUT
/
api
/
v1
/
groups
/
{groupId}
/
settings
Definir configurações de privacidade do grupo
Authorizations
API Key para autenticação. Formato: <API_KEY>
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
200
Resposta bem-sucedida
⌘I
